Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066676 - l2 agent script isn't resulting in the ovsdb-client process being stopped
Summary: l2 agent script isn't resulting in the ovsdb-client process being stopped
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Icehouse
Assignee: Terry Wilson
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 21:12 UTC by yfried
Modified: 2016-04-27 04:17 UTC (History)
5 users (show)

Fixed In Version: openstack-neutron-2014.1.1-2.el6 openstack-neutron-2014.1.1-4.el7 openstack-neutron-2014.1.1-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 74863 None None None Never
Launchpad 1281794 None None None Never

Internal Links: 1066677

Description yfried 2014-02-18 21:12:56 UTC
Icehouse on RHEL6.5

Description of problem:
ovsdb-client monitor is still alive, even though neutron-ovs-agent has stopped

Version-Release number of selected component (if applicable):
[root@cougar16 ~(keystone_admin)]# rpm -qa | grep neutron
python-neutronclient-2.3.1-3.el6ost.noarch
python-neutron-2013.2.2-1.el6ost.noarch
openstack-neutron-2013.2.2-1.el6ost.noarch
openstack-neutron-openvswitch-2013.2.2-1.el6ost.noarch

How reproducible:
service neutron-openvswitch-agent stop

Actual results:

[root@rose12 ~(keystone_admin)]# /etc/init.d/neutron-openvswitch-agent stop
Stopping neutron-openvswitch-agent:                        [  OK  ]
[root@rose12 ~(keystone_admin)]# ps auxf
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root         2  0.0  0.0      0     0 ?        S    20:05   0:00 [kthreadd]
root         3  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/0]
root         4  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/0]
root         5  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/0]
root         6  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/0]
root         7  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/1]
root         8  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/1]
root         9  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/1]
root        10  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/1]
root        11  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/2]
root        12  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/2]
root        13  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/2]
root        14  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/2]
root        15  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/3]
root        16  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/3]
root        17  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/3]
root        18  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/3]
root        19  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/4]
root        20  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/4]
root        21  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/4]
root        22  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/4]
root        23  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/5]
root        24  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/5]
root        25  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/5]
root        26  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/5]
root        27  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/6]
root        28  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/6]
root        29  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/6]
root        30  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/6]
root        31  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/7]
root        32  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [migration/7]
root        33  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksoftirqd/7]
root        34  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [watchdog/7]
root        35  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/0]
root        36  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/1]
root        37  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/2]
root        38  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/3]
root        39  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/4]
root        40  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/5]
root        41  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/6]
root        42  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [events/7]
root        43  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [cgroup]
root        44  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [khelper]
root        45  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [netns]
root        46  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [async/mgr]
root        47  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [pm]
root        48  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [sync_supers]
root        49  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [bdi-default]
root        50  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/0]
root        51  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/1]
root        52  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/2]
root        53  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/3]
root        54  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/4]
root        55  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/5]
root        56  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/6]
root        57  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kintegrityd/7]
root        58  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/0]
root        59  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/1]
root        60  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/2]
root        61  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/3]
root        62  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/4]
root        63  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/5]
root        64  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/6]
root        65  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kblockd/7]
root        66  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kacpid]
root        67  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kacpi_notify]
root        68  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kacpi_hotplug]
root        69  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_aux]
root        70  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/0]
root        71  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/1]
root        72  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/2]
root        73  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/3]
root        74  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/4]
root        75  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/5]
root        76  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/6]
root        77  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ata_sff/7]
root        78  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ksuspend_usbd]
root        79  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [khubd]
root        80  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kseriod]
root        81  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/0]
root        82  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/1]
root        83  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/2]
root        84  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/3]
root        85  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/4]
root        86  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/5]
root        87  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/6]
root        88  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md/7]
root        89  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/0]
root        90  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/1]
root        91  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/2]
root        92  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/3]
root        93  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/4]
root        94  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/5]
root        95  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/6]
root        96  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [md_misc/7]
root        97  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [linkwatch]
root        98  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [khungtaskd]
root        99  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kswapd0]
root       100  0.0  0.0      0     0 ?        SN   20:05   0:00  \_ [ksmd]
root       101  0.0  0.0      0     0 ?        SN   20:05   0:00  \_ [khugepaged]
root       102  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/0]
root       103  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/1]
root       104  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/2]
root       105  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/3]
root       106  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/4]
root       107  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/5]
root       108  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/6]
root       109  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [aio/7]
root       110  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/0]
root       111  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/1]
root       112  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/2]
root       113  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/3]
root       114  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/4]
root       115  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/5]
root       116  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/6]
root       117  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [crypto/7]
root       122  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/0]
root       123  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/1]
root       124  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/2]
root       125  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/3]
root       126  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/4]
root       127  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/5]
root       128  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/6]
root       129  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kthrotld/7]
root       130  0.0  0.0      0     0 ?        SN   20:05   0:09  \_ [kipmi0]
root       132  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kpsmoused]
root       133  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [usbhid_resumer]
root       164  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kstriped]
root       319  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [scsi_eh_0]
root       320  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [scsi_eh_1]
root       321  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [scsi_eh_2]
root       322  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [scsi_eh_3]
root       323  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [scsi_eh_4]
root       324  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [scsi_eh_5]
root       414  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kdmflush]
root       416  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [kdmflush]
root       434  0.0  0.0      0     0 ?        S    20:05   0:03  \_ [jbd2/dm-0-8]
root       435  0.0  0.0      0     0 ?        S    20:05   0:00  \_ [ext4-dio-unwrit]
root       534  0.0  0.0      0     0 ?        S    20:06   0:01  \_ [flush-253:0]
root       993  0.0  0.0      0     0 ?        S    20:06   0:00  \_ [kvm-irqfd-clean]
root      1043  0.0  0.0      0     0 ?        S    20:06   0:00  \_ [jbd2/sda1-8]
root      1044  0.0  0.0      0     0 ?        S    20:06   0:00  \_ [ext4-dio-unwrit]
root      1045  0.0  0.0      0     0 ?        S<   20:06   0:00  \_ [loop0]
root      1046  0.0  0.0      0     0 ?        S    20:06   0:00  \_ [jbd2/loop0-8]
root      1047  0.0  0.0      0     0 ?        S    20:06   0:00  \_ [ext4-dio-unwrit]
root      1101  0.0  0.0      0     0 ?        S    20:06   0:00  \_ [kauditd]
root      1201  0.0  0.0      0     0 ?        S    20:06   0:00  \_ [vxlan]
root      8722  0.0  0.0      0     0 ?        S<   20:06   0:00  \_ [loop1]
root     10906  0.0  0.0      0     0 ?        S    20:19   0:00  \_ [kvm-pit-wq]
root     10909  0.0  0.0      0     0 ?        S    20:19   0:00  \_ [vhost-10904]
root      6670  0.0  0.0      0     0 ?        S    22:04   0:00  \_ [kvm-pit-wq]
root      6673  0.0  0.0      0     0 ?        S    22:04   0:00  \_ [vhost-6668]
root      6932  0.0  0.0      0     0 ?        S    22:04   0:00  \_ [kvm-pit-wq]
root      6935  0.0  0.0      0     0 ?        S    22:04   0:00  \_ [vhost-6930]
root         1  0.0  0.0  19356  1540 ?        Ss   20:05   0:01 /sbin/init
root       535  0.0  0.0  11072  1168 ?        S<s  20:06   0:00 /sbin/udevd -d
root      8803  0.0  0.0  12388  2636 ?        S<   20:06   0:00  \_ /sbin/udevd -d
root      8804  0.0  0.0  12388  2620 ?        S<   20:06   0:00  \_ /sbin/udevd -d
root      1192  0.0  0.0  40376   816 ?        S<s  20:06   0:05 ovsdb-server: monitoring pid 1193 (healthy)                                                                                         
root      1193  0.0  0.0  40748  2460 ?        S<   20:06   0:01  \_ ovsdb-server /etc/openvswitch/conf.db -vconsole:emer -vsyslog:err -vfile:info --remote=punix:/var/run/openvswitch/db.sock --priva
root      1203  0.0  0.0  40828   836 ?        S<s  20:06   0:05 ovs-vswitchd: monitoring pid 1204 (healthy)                                                                                         
root      1204  0.0  0.0  41684  8616 ?        S<L  20:06   0:05  \_ ovs-vswitchd unix:/var/run/openvswitch/db.sock -vconsole:emer -vsyslog:err -vfile:info --mlockall --no-chdir --log-file=/var/log/
root      1205  0.0  0.0  40832  1244 ?        S<   20:06   0:00      \_ ovs-vswitchd: worker process for pid 1204                                                                                   
root      1446  0.0  0.0   9120  1000 ?        Ss   20:06   0:00 /sbin/dhclient -H rose12.qa.lab.tlv.redhat.com -1 -q -cf /etc/dhcp/dhclient-eth0.conf -lf /var/lib/dhclient/dhclient-eth0.leases -pf
root      1532  0.0  0.0 249084  1720 ?        Sl   20:06   0:00 /sbin/rsyslogd -i /var/run/syslogd.pid -c 5
root      1583  0.0  0.0  10892   632 ?        Ss   20:06   0:00 irqbalance --pid=/var/run/irqbalance.pid
rpc       1602  0.0  0.0  18976   900 ?        Ss   20:06   0:00 rpcbind
rpcuser   1620  0.0  0.0  23348  1344 ?        Ss   20:06   0:00 rpc.statd
dbus      6940  0.0  0.0  31776  3220 ?        Ssl  20:06   0:00 dbus-daemon --system
root      6970  0.0  0.0   4080   648 ?        Ss   20:06   0:00 /usr/sbin/acpid
68        6979  0.0  0.0  37764  4304 ?        Ssl  20:06   0:00 hald
root      6980  0.0  0.0  20324  1332 ?        S    20:06   0:00  \_ hald-runner
root      7009  0.0  0.0  22444  1276 ?        S    20:06   0:00      \_ hald-addon-input: Listening on /dev/input/event2 /dev/input/event0
68        7018  0.0  0.0  17932  1136 ?        S    20:06   0:00      \_ hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      7211  0.0  0.0  14888   748 ?        Ss   20:06   0:00 tgtd
root      7213  0.0  0.0  14888   516 ?        S    20:06   0:00  \_ tgtd
496       7228  0.0  0.0 636148  3332 ?        Ssl  20:06   0:00 memcached -d -p 11211 -u memcached -m 15126 -c 8192 -P /var/run/memcached/memcached.pid -l 0.0.0.0 -U 11211 -t 8
root      7249  0.0  0.0  66608  1184 ?        Ss   20:06   0:00 /usr/sbin/sshd
root     10069  0.0  0.0 100368  4112 ?        Ss   20:11   0:00  \_ sshd: root@pts/0 
root     10072  0.0  0.0 109928  3760 pts/0    Ss   20:11   0:00      \_ -bash
root     10259  5.0  0.0 110580  1428 pts/0    R+   22:47   0:00          \_ ps auxf
root      7257  0.0  0.0  22180  1004 ?        Ss   20:06   0:00 xinetd -stayalive -pidfile /var/run/xinetd.pid
ntp       7265  0.0  0.0  30720  2096 ?        Ss   20:06   0:00 ntpd -u ntp:ntp -p /var/run/ntpd.pid -g
root      7300  0.0  0.0 108168  1576 ?        S    20:06   0:00 /bin/sh /usr/bin/mysqld_safe --datadir=/var/lib/mysql --socket=/var/lib/mysql/mysql.sock --pid-file=/var/run/mysqld/mysqld.pid --base
mysql     7453  0.2  0.3 2310540 49580 ?       Sl   20:06   0:20  \_ /usr/libexec/mysqld --basedir=/usr --datadir=/var/lib/mysql --user=mysql --log-error=/var/lib/mysql/rose12.qa.lab.tlv.redhat.com.
nrpe      7477  0.0  0.0  41448  1376 ?        Ss   20:06   0:00 /usr/sbin/nrpe -c /etc/nagios/nrpe.cfg -d
root      7553  0.0  0.0  81280  3428 ?        Ss   20:06   0:00 /usr/libexec/postfix/master
postfix   7562  0.0  0.0  81536  3428 ?        S    20:06   0:00  \_ qmgr -l -t fifo -u
postfix   5574  0.0  0.0  81360  3392 ?        S    21:46   0:00  \_ pickup -l -t fifo -u
root      7577  0.0  0.0 110320  1008 ?        Ss   20:06   0:00 /usr/sbin/abrtd
root      7589  0.0  0.0 233844  9112 ?        Ss   20:06   0:00 /usr/sbin/httpd
apache    7611  0.0  0.3 760740 57512 ?        Sl   20:06   0:06  \_ /usr/sbin/httpd
apache    7612  0.0  0.0 235532  8876 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache    7613  0.0  0.0 235532  8884 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache    7614  0.0  0.0 235532  8872 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache    7615  0.0  0.0 235532  8884 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache    7616  0.0  0.0 235532  8884 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache    7617  0.0  0.0 235532  8892 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache    7618  0.0  0.0 235532  8888 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache    7619  0.0  0.0 235532  8884 ?        S    20:06   0:00  \_ /usr/sbin/httpd
apache   10864  0.0  0.0 235532  8872 ?        S    20:18   0:00  \_ /usr/sbin/httpd
apache   10866  0.0  0.0 235532  8860 ?        S    20:18   0:00  \_ /usr/sbin/httpd
apache   10867  0.0  0.0 235532  8868 ?        S    20:18   0:00  \_ /usr/sbin/httpd
apache   10868  0.0  0.0 235532  8872 ?        S    20:18   0:00  \_ /usr/sbin/httpd
root      7599  0.0  0.0 108172   908 ?        S    20:06   0:00 /bin/bash /usr/sbin/ksmtuned
root     10252  0.0  0.0 100908   560 ?        S    22:47   0:00  \_ sleep 60
qpidd     7637  0.1  0.1 1345660 21280 ?       Ssl  20:06   0:13 /usr/sbin/qpidd --data-dir /var/lib/qpidd --daemon
root      7683  0.0  0.0 177104  6184 ?        S    20:06   0:00 /usr/bin/python /usr/sbin/tuned -d -c /etc/tuned.conf
root      7691  0.0  0.0 117300  1392 ?        Ss   20:06   0:00 crond
root      7714  0.0  0.0  21540   480 ?        Ss   20:06   0:00 /usr/sbin/atd
root      7728  0.0  0.0 1028220 10800 ?       Sl   20:06   0:07 libvirtd --daemon
mongodb   7740  0.1  0.2 612352 39400 ?        Sl   20:06   0:17 /usr/bin/mongod --quiet -f /etc/mongodb.conf run
nobody    7829  0.0  0.0  12888   724 ?        S    20:06   0:00 /usr/sbin/dnsmasq --strict-order --local=// --domain-needed --pid-file=/var/run/libvirt/network/default.pid --conf-file= --except-int
root      7924  0.0  0.0 104016   676 ?        Ss   20:06   0:00 /usr/bin/rhsmcertd
neutron   7933  0.1  0.2 282368 32672 ?        S    20:06   0:16 /usr/bin/python /usr/bin/neutron-dhcp-agent --log-file /var/log/neutron/dhcp-agent.log --config-file /usr/share/neutron/neutron-dist.
neutron   7941  0.2  0.2 284448 34456 ?        S    20:06   0:22 /usr/bin/python /usr/bin/neutron-l3-agent --log-file /var/log/neutron/l3-agent.log --config-file /usr/share/neutron/neutron-dist.conf
neutron   7949  0.1  0.2 285072 35264 ?        S    20:06   0:18 /usr/bin/python /usr/bin/neutron-lbaas-agent --log-file /var/log/neutron/lbaas-agent.log --config-file /usr/share/neutron/neutron-dis
neutron   7957  0.1  0.2 285696 33376 ?        S    20:06   0:16 /usr/bin/python /usr/bin/neutron-metadata-agent --log-file /var/log/neutron/metadata-agent.log --config-file /usr/share/neutron/neutr
neutron   7973  1.0  0.3 405060 63532 ?        S    20:06   1:44 /usr/bin/python /usr/bin/neutron-server --config-file /usr/share/neutron/neutron-dist.conf --config-file /etc/neutron/neutron.conf --
166       7981  0.0  0.1 253060 28012 ?        S    20:06   0:00 /usr/bin/python /usr/bin/ceilometer-alarm-evaluator --logfile /var/log/ceilometer/alarm-evaluator.log
166       7989  0.0  0.1 285216 28776 ?        S    20:06   0:01 /usr/bin/python /usr/bin/ceilometer-alarm-notifier --logfile /var/log/ceilometer/alarm-notifier.log
166       7997  0.1  0.2 299436 43420 ?        S    20:06   0:12 /usr/bin/python /usr/bin/ceilometer-api --logfile /var/log/ceilometer/api.log
166       8005  0.0  0.1 248392 22972 ?        S    20:06   0:00 /usr/bin/python /usr/bin/ceilometer-agent-central --logfile /var/log/ceilometer/central.log
166       8021  0.0  0.1 297056 30856 ?        S    20:06   0:02 /usr/bin/python /usr/bin/ceilometer-collector --logfile /var/log/ceilometer/collector.log
166       8035  0.0  0.2 368284 35160 ?        S    20:06   0:02 /usr/bin/python /usr/bin/ceilometer-agent-compute --logfile /var/log/ceilometer/compute.log
cinder    8045  0.0  0.3 398460 56448 ?        S    20:06   0:01 /usr/bin/python /usr/bin/cinder-api --config-file /usr/share/cinder/cinder-dist.conf --config-file /etc/cinder/cinder.conf --logfile
cinder    8053  0.7  0.1 255540 23804 ?        S    20:06   1:14 /usr/bin/python /usr/bin/cinder-backup --config-file /usr/share/cinder/cinder-dist.conf --config-file /etc/cinder/cinder.conf --logfi
cinder    8222  0.0  0.2 396100 42420 ?        S    20:06   0:04  \_ /usr/bin/python /usr/bin/cinder-backup --config-file /usr/share/cinder/cinder-dist.conf --config-file /etc/cinder/cinder.conf --l
cinder    8061  0.0  0.2 395748 43876 ?        S    20:06   0:04 /usr/bin/python /usr/bin/cinder-scheduler --config-file /usr/share/cinder/cinder-dist.conf --config-file /etc/cinder/cinder.conf --lo
glance    8093  0.0  0.2 281164 38436 ?        S    20:06   0:00 /usr/bin/python /usr/bin/glance-api
glance    8381  0.0  0.2 284272 38692 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/glance-api
glance    8382  0.0  0.2 284588 38792 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/glance-api
glance    8383  0.0  0.2 284912 39192 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/glance-api
glance    8384  0.1  0.3 319576 54912 ?        S    20:06   0:15  \_ /usr/bin/python /usr/bin/glance-api
glance    8385  0.0  0.2 284612 38840 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/glance-api
glance    8386  0.0  0.2 301712 40936 ?        S    20:06   0:04  \_ /usr/bin/python /usr/bin/glance-api
glance    8387  0.0  0.2 284620 38912 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/glance-api
glance    8388  0.0  0.2 285048 39200 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/glance-api
glance    8102  0.0  0.1 254084 29060 ?        S    20:06   0:00 /usr/bin/python /usr/bin/glance-registry
glance    8240  0.0  0.2 362032 43584 ?        S    20:06   0:02  \_ /usr/bin/python /usr/bin/glance-registry
heat      8110  0.0  0.1 265732 25920 ?        S    20:06   0:00 /usr/bin/python /usr/bin/heat-api
heat      8157  0.0  0.3 413688 51432 ?        S    20:06   0:01 /usr/bin/python /usr/bin/heat-engine
keystone  8166  0.2  0.3 384668 53432 ?        S    20:06   0:22 /usr/bin/python /usr/bin/keystone-all --config-file /usr/share/keystone/keystone-dist.conf --config-file /etc/keystone/keystone.conf
root      8364  0.0  0.0 189568  2944 ?        S    20:06   0:00 sudo neutron-rootwrap /etc/neutron/rootwrap.conf ovsdb-client monitor Interface name --format=json
root      8366  0.0  0.0 176580  9148 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/neutron-rootwrap /etc/neutron/rootwrap.conf ovsdb-client monitor Interface name --format=json
root      8369  0.0  0.0  40012  2192 ?        S    20:06   0:00      \_ /usr/bin/ovsdb-client monitor Interface name --format=json
nova      8490  0.7  0.4 319064 66604 ?        S    20:06   1:15 /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8811  0.0  0.2 297600 45396 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8824  0.0  0.6 469164 102688 ?       S    20:06   0:03  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8825  0.0  0.6 466556 100208 ?       S    20:06   0:03  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8826  0.0  0.6 471268 104608 ?       S    20:06   0:05  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8827  0.0  0.6 466448 100076 ?       S    20:06   0:02  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8828  0.0  0.6 441172 99112 ?        S    20:06   0:02  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8829  0.0  0.5 439696 97624 ?        S    20:06   0:01  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8830  0.0  0.6 442064 99900 ?        S    20:06   0:03  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8831  0.0  0.6 465716 99400 ?        S    20:06   0:02  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8840  0.0  0.5 456516 89864 ?        S    20:06   0:01  \_ /usr/bin/python /usr/bin/nova-api --logfile /var/log/nova/api.log
nova      8498  0.0  0.4 425980 68120 ?        S    20:06   0:04 /usr/bin/python /usr/bin/nova-cert --logfile /var/log/nova/cert.log
nova      8506  0.4  0.4 1990708 67404 ?       Sl   20:06   0:45 /usr/bin/python /usr/bin/nova-compute --logfile /var/log/nova/compute.log
nova      8514  0.5  0.5 442556 84824 ?        S    20:06   0:53 /usr/bin/python /usr/bin/nova-conductor --logfile /var/log/nova/conductor.log
nova      8522  0.0  0.4 427708 69772 ?        S    20:06   0:06 /usr/bin/python /usr/bin/nova-consoleauth --logfile /var/log/nova/consoleauth.log
nova      8530  0.0  0.1 300748 30844 ?        S    20:06   0:02 /usr/bin/python /usr/bin/nova-novncproxy --web /usr/share/novnc/
nova     10994  0.0  0.2 337008 32772 ?        S    20:19   0:06  \_ /usr/bin/python /usr/bin/nova-novncproxy --web /usr/share/novnc/
nova     13164  0.0  0.0      0     0 ?        Z    21:05   0:00  \_ [nova-novncproxy] <defunct>
nova     13165  0.0  0.0      0     0 ?        Z    21:05   0:00  \_ [nova-novncproxy] <defunct>
nova     13166  0.0  0.0      0     0 ?        Z    21:05   0:00  \_ [nova-novncproxy] <defunct>
nova     13167  0.0  0.0      0     0 ?        Z    21:05   0:00  \_ [nova-novncproxy] <defunct>
nova     13168  0.0  0.0      0     0 ?        Z    21:05   0:00  \_ [nova-novncproxy] <defunct>
nova     13169  0.0  0.1 336880 32556 ?        S    21:05   0:04  \_ /usr/bin/python /usr/bin/nova-novncproxy --web /usr/share/novnc/
nova      8538  0.0  0.4 429708 71812 ?        S    20:06   0:05 /usr/bin/python /usr/bin/nova-scheduler --logfile /var/log/nova/scheduler.log
swift     8545  0.0  0.0 232632 15576 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-account-server /etc/swift/account-server.conf
swift     8667  0.0  0.0 232764 13292 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-account-server /etc/swift/account-server.conf
swift     8552  0.0  0.0 229792 14920 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-account-auditor /etc/swift/account-server.conf
swift     8559  0.0  0.0 229804 14924 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-account-reaper /etc/swift/account-server.conf
swift     8566  0.0  0.0 230884 16148 ?        Ss   20:06   0:01 /usr/bin/python /usr/bin/swift-account-replicator /etc/swift/account-server.conf
swift     8573  0.0  0.1 240604 17268 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-container-server /etc/swift/container-server.conf
swift     8666  0.0  0.0 240604 14412 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-container-server /etc/swift/container-server.conf
swift     8596  0.0  0.1 237756 16732 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-container-auditor /etc/swift/container-server.conf
swift     8607  0.0  0.1 238836 17828 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-container-replicator /etc/swift/container-server.conf
swift     8646  0.0  0.1 238864 17828 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-container-updater /etc/swift/container-server.conf
swift     8653  0.0  0.0 224584 14476 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-object-server /etc/swift/object-server.conf
swift     8725  0.0  0.0 224960 11848 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-object-server /etc/swift/object-server.conf
swift     8660  0.0  0.0 221708 13444 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-object-auditor /etc/swift/object-server.conf
swift     8724  0.0  0.0 221708 10544 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-object-auditor /etc/swift/object-server.conf
swift     8673  0.0  0.0 229848 15612 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-object-replicator /etc/swift/object-server.conf
swift     8684  0.0  0.0 229492 15188 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-object-updater /etc/swift/object-server.conf
swift     8691  0.0  0.1 247208 20176 ?        Ss   20:06   0:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8726  0.0  0.1 249288 19416 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8727  0.0  0.1 251780 22276 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8728  0.0  0.1 251784 22336 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8729  0.0  0.1 249288 19416 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8730  0.0  0.1 251784 22332 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8731  0.0  0.1 251780 22320 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8732  0.0  0.1 251636 22200 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift     8733  0.0  0.1 249288 19416 ?        S    20:06   0:00  \_ /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
cinder    8745  0.7  0.1 255348 23548 ?        S    20:06   1:14 /usr/bin/python /usr/bin/cinder-volume --config-file /usr/share/cinder/cinder-dist.conf --config-file /etc/cinder/cinder.conf --logfi
cinder    8758  0.0  0.2 395756 41992 ?        S    20:06   0:05  \_ /usr/bin/python /usr/bin/cinder-volume --config-file /usr/share/cinder/cinder-dist.conf --config-file /etc/cinder/cinder.conf --l
nagios    8776  0.0  0.0 138176  1984 ?        Ssl  20:06   0:02 /usr/sbin/nagios -d /etc/nagios/nagios.cfg
root      8785  0.0  0.0   4064   576 tty1     Ss+  20:06   0:00 /sbin/mingetty /dev/tty1
root      8787  0.0  0.0   4064   580 tty2     Ss+  20:06   0:00 /sbin/mingetty /dev/tty2
root      8789  0.0  0.0   4064   580 tty3     Ss+  20:06   0:00 /sbin/mingetty /dev/tty3
root      8791  0.0  0.0   4064   580 tty4     Ss+  20:06   0:00 /sbin/mingetty /dev/tty4
root      8794  0.0  0.0   4064   576 tty5     Ss+  20:06   0:00 /sbin/mingetty /dev/tty5
root      8796  0.0  0.0   4064   576 tty6     Ss+  20:06   0:00 /sbin/mingetty /dev/tty6
root      8805  0.0  0.0   4080   632 ttyS0    Ss+  20:06   0:00 /sbin/agetty /dev/ttyS0 115200 vt100-nav
root      8863  0.0  0.0  45488  3536 ?        S    20:07   0:00 /usr/libexec/polkit-1/polkitd
root      8865  0.0  0.0 4116528 3748 ?        Sl   20:07   0:00 /usr/sbin/console-kit-daemon --no-daemon
root      9688  0.0  0.1 249272 25968 ?        S    20:08   0:00 /usr/bin/python /usr/bin/neutron-ns-metadata-proxy --pid_file=/var/lib/neutron/external/pids/fd0003e4-098f-4466-b6f6-385147871e28.pid
nobody   10860  0.0  0.0  12884   796 ?        S    20:18   0:00 dnsmasq --no-hosts --no-resolv --strict-order --bind-interfaces --interface=tapdc4c44ab-6f --except-interface=lo --pid-file=/var/lib/
qemu     10904  0.3  3.3 4315264 541444 ?      Sl   20:19   0:35 /usr/libexec/qemu-kvm -name instance-00000001 -S -M rhel6.5.0 -cpu SandyBridge,+erms,+smep,+fsgsbase,+rdrand,+f16c,+osxsave,+pcid,+pd
qemu      6668  0.6  2.2 4373428 360612 ?      Sl   22:04   0:16 /usr/libexec/qemu-kvm -name instance-00000002 -S -M rhel6.5.0 -cpu SandyBridge,+erms,+smep,+fsgsbase,+rdrand,+f16c,+osxsave,+pcid,+pd
qemu      6930  0.6  2.1 4373428 346276 ?      Sl   22:04   0:15 /usr/libexec/qemu-kvm -name instance-00000003 -S -M rhel6.5.0 -cpu SandyBridge,+erms,+smep,+fsgsbase,+rdrand,+f16c,+osxsave,+pcid,+pd

Expected results:


Additional info:

Comment 1 yfried 2014-02-18 21:17:48 UTC
bad version on the above comment.

actual version is
[root@rose12 ~(keystone_admin)]# rpm -qa | grep neutron
python-neutron-2014.1-0.5.b2.el6.noarch
python-neutronclient-2.3.3-1.el6.noarch
openstack-neutron-2014.1-0.5.b2.el6.noarch
openstack-neutron-openvswitch-2014.1-0.5.b2.el6.noarch

Comment 2 Lars Kellogg-Stedman 2014-02-19 16:15:22 UTC
I've confirmed this behavior with the same package versions on CentOS 6.5.  After neutron-openvswitch-agent exits, the "sudo neutron-rootwrap" command used to start ovsdb-client remains running:

sudo,18782 neutron-rootwrap /etc/neutron/rootwrap.conf ovsdb-client monitor Interface name ...
  └─neutron-rootwra,18784 /usr/bin/neutron-rootwrap /etc/neutron/rootwrap.conf ovsdb-client monitor ...
      └─ovsdb-client,18790 monitor Interface name --format=json

Comment 3 Miguel Angel Ajo 2014-04-16 11:25:26 UTC

For other processes, agents tend to leave processes running, but in this case, I doubt it can reconnect and get the ovsdb-client output.

Could you confirm if:

1) it keeps happening on rc2?  
2) restarting the agent several times makes two or more "ovsdb-client monitor" running on the system

Comment 4 Ihar Hrachyshka 2014-06-26 16:01:46 UTC
It was fixed in u/s in 2014.1 release. The latest package should definitely have this fixed for Icehouse.

Comment 5 Ofer Blaut 2015-01-05 07:11:30 UTC
tested on RHEL - openstack-neutron-2014.2.1-5.el7ost.noarch


Note You need to log in before you can comment on or make changes to this bug.